<?php
/**
 * Header Template
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */
?>
	<!DOCTYPE html>
	<!--[if lt IE 7]>
	<html class="ie ie6 lte9 lte8 lte7" <?php language_attributes(); ?>>
	<![endif]-->
	<!--[if IE 7]>
	<html class="ie ie7 lte9 lte8 lte7" <?php language_attributes(); ?>>
	<![endif]-->
	<!--[if IE 8]>
	<html class="ie ie8 lte9 lte8" <?php language_attributes(); ?>>
	<![endif]-->
	<!--[if IE 9]>
	<html class="ie ie9" <?php language_attributes(); ?>>
	<![endif]-->
	<!--[if gt IE 9]>
	<html <?php language_attributes(); ?>> <![endif]-->
	<!--[if !IE]><!-->
<html <?php language_attributes(); ?>>
	<!--<![endif]-->
	<head>
		<meta charset="<?php bloginfo( 'charset' ); ?>"/>
		<meta name="viewport" content="initial-scale=1.0,maximum-scale=3.0,width=device-width"/>

		<link rel="profile" href="http://gmpg.org/xfn/11"/>
		<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>"/>
		

		<!-- IE6-8 support of HTML5 elements -->
		<!--[if lt IE 9]>
		<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js" type="text/javascript"></script>
		<![endif]-->
               <script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
               <script type="text/javascript" src="<?php echo esc_url( get_template_directory_uri() ); ?>/js/jquery.flexslider-min.js"></script>
 

		<?php wp_head(); ?>
	</head>
<body <?php body_class(); ?>>
<!-- 		 Header 		 -->
<div id="header_section">
	<?php do_action( 'cyberchimps_before_wrapper' ); ?>
	<div class="container">
		<div class="row">
			<div class="skip-container cf">
					<a class="skip-link screen-reader-text focusable" href="#content"><?php _e( '&darr; Skip to Main Content', 'e-shopper' ); ?></a>
			</div><!-- .skip-container -->
		</div>
            <div class="row">
                <div class="col-lg-12">
			<div class="row">
				<div class="col-lg-7 col-md-8 col-sm-6 col-xs-2">

				</div>
				<div class="col-lg-5 col-md-4 col-sm-6 col-xs-10 navigation-menu">
				<div class="row">
				<div class="col-lg-7 col-sm-6 col-xs-12 top-menu">
				<?php if ( has_nav_menu( 'top-menu' ) )
                    wp_nav_menu( array( 'theme_location' => 'top-menu' ) );
                      ?>
				</div>
				<div class="col-lg-5 col-sm-6 col-xs-12 minicart">
                      <?php do_action( 'cyberchimps_show_cart' ); ?> 
                     </div>
				</div>
			</div></div>
			
			
		</div>
	    </div>
	    <div class="row">
                 <div class="col-lg-12">
		     <?php do_action( 'cyberchimps_header' ); ?>
                     
	            <!-- .container-->
                     
                 </div>
         </div>
<?php do_action( 'cyberchimps_before_navigation' ); ?>
<!-- 		 Menu 		 -->
<div id="cyberchimps_navbar" class="row">
<nav class="navbar navbar-default">
          <div class="navbar-header">
            <button aria-controls="navbar" aria-expanded="false" data-target="#navbar" data-toggle="collapse" class="navbar-toggle collapsed" type="button">
             <span class="glyphicon glyphicon-th-list"></span>
            </button>
            <a href="<?php echo get_site_url(); ?>" class="navbar-brand"><span class="glyphicon glyphicon-home"></span></a>
          </div>
          <div class="navbar-collapse collapse" id="navbar">
            <?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_class' => 'nav navbar-nav', 'walker' => new cyberchimps_walker(), 'fallback_cb' => 'cyberchimps_fallback_menu' ) ); ?>

          </div><!--/.nav-collapse -->
       
      </nav>
</div>
<!-- #navigation_menu -->
       </div>  
</div>
<!-- #header_section -->



<?php do_action( 'cyberchimps_after_navigation' ); ?>
