<?php

/**
 * Theme Functions
 *
 * Please do not edit this file. This file is part of the Cyber Chimps Framework and all modifications
 * should be made in a child theme.
 *
 * @category CyberChimps Framework
 * @package  Framework
 * @since    1.0
 * @author   CyberChimps : Krist Juhlin
 * @license  http://www.opensource.org/licenses/gpl-license.php GPL v3.0 (or later)
 * @link     http://www.cyberchimps.com/
 */

/**
    * new product search form
    * woo_custom_product_searchform
*/
add_filter( 'get_product_search_form' , 'woo_custom_product_searchform' );
 
function woo_custom_product_searchform( $form ) {
    
    $form = '<form role="search" method="get" id="searchform" action="' . esc_url( home_url( '/'  ) ) . '">
        <div>
            <label class="screen-reader-text" for="s">' . __( 'Search for:', 'woocommerce' ) . '</label>
            <input type="text" value="' . get_search_query() . '" name="s" id="s" placeholder="' . __( 'My Search form', 'woocommerce' ) . '" />
            <input type="submit" id="searchsubmit" value="'. esc_attr__( 'Search', 'woocommerce' ) .'" />
            <input type="hidden" name="post_type" value="product" />
        </div>
    </form>';
    
    return $form;
    
}

// Change number or products per row to 3
add_filter('loop_shop_columns', 'cc_woo_loop_columns');
if (!function_exists('cc_woo_loop_columns')) {
	function cc_woo_loop_columns() {
		return 3; // 3 products per row
	}
}
