<?php
/**
 * The template for displaying product category thumbnails within loops.
 *
 * Override this template by copying it to yourtheme/woocommerce/content-product_cat.php
 *
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     2.4.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $woocommerce_loop;

// Store loop count we're currently on
if ( empty( $woocommerce_loop['loop'] ) ) {
	$woocommerce_loop['loop'] = 0;
}

// Store column count for displaying the grid
if ( empty( $woocommerce_loop['columns'] ) ) {
	$woocommerce_loop['columns'] = apply_filters( 'loop_shop_columns', 4 );
}

// Increase loop count
$woocommerce_loop['loop'] ++;
?>
<div class="product-page col-lg-4 col-md-4 col-sm-4">
<li <?php wc_product_cat_class(); ?>>
	<?php do_action( 'woocommerce_before_subcategory', $category ); ?>
	<div class="category-display">
	<a href="<?php echo get_term_link( $category->slug, 'product_cat' ); ?>">

		<?php
			/**
			 * woocommerce_before_subcategory_title hook
			 *
			 * @hooked woocommerce_subcategory_thumbnail - 10
			 */
			do_action( 'woocommerce_before_subcategory_title', $category );
		?>

		<h3 class="shop_title">
			<?php
				echo $category->name;

				if ( $category->count > 0 )
				{
					if( $category->count == 1 )
					{
						echo apply_filters( 'woocommerce_subcategory_count_html', ' <mark id="shop_product_count" class="count">' . $category->count .' Product</mark>', $category );
					}
					else
					{
						echo apply_filters( 'woocommerce_subcategory_count_html', ' <mark id="shop_product_count" class="count">' . $category->count . ' Products</mark>', $category );	
					}
				}					
			?>
		</h3>


		<?php
			/**
			 * woocommerce_after_subcategory_title hook
			 */
			do_action( 'woocommerce_after_subcategory_title', $category );
		?>

	</a>
	</div>
	<?php do_action( 'woocommerce_after_subcategory', $category ); ?>
</li>
</div>
